/*
 * detect_errors.h
 *
 *  Created on: 4 δεκ. 2020 γ.
 *      Author: star
 */

#ifndef SRC_MYLIBS_DETECT_ERRORS_H_
#define SRC_MYLIBS_DETECT_ERRORS_H_



#define TIME_WAIT_ERROR                 20 // 2 sec
#define TIME_WAIT_ERROR_QTV             100 // 10 sec
#define TIME_WAIT_ERROR_CHARGE_ANSWER   60 // 6 sec
#define TIME_WAIT_ERROR_IZOL            200 // 20 sec
#define TIME_WAIT_ERROR_PUMP            100 // 10 sec
#define TIME_WAIT_ERROR_FAN             300 // 30 sec


#define MINIMAL_LEVEL_ZAD_U 27962 // 10 V

void clear_errors(void);
void clear_warnings(void);
void detect_error_all(void);
void read_plane_errors(void);
int detect_error_u_zpt_on_predzaryad(void);
int detect_error_u_in(void);

#endif /* SRC_MYLIBS_DETECT_ERRORS_H_ */
